## getfem++ 4.1

=== debian/changelog ===
getfem++ (4.1-1ubuntu8) natty; urgency=low

  * Rebuild with python-numpy 1.5.1 (LP: #711663)

 -- Sameer Morar <smorar@gmail.com>  Wed, 02 Feb 2011 05:37:17 +0000

getfem++ (4.1-1ubuntu7) natty; urgency=low

  * Ignore test results on i386, non-deterministic failure (LP: #600209)

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Dec 2010 22:49:53 +0200

getfem++ (4.1-1ubuntu6) natty; urgency=low

  * No-change rebuild for Python 2.7 support, now that 2.7 is default.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 12 Dec 2010 19:19:37 +0200

getfem++ (4.1-1ubuntu5) natty; urgency=low

  * Do not ignore test results (change introduced with last upload).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Dec 2010 12:40:28 +0100

getfem++ (4.1-1ubuntu4) natty; urgency=low

  * Fix build with ld --no-add-needed.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Dec 2010 11:28:46 +0100

getfem++ (4.1-1ubuntu3) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:00:32 +0000

getfem++ (4.1-1ubuntu2) maverick; urgency=low

  * Remove the symbols files again, no reverse dependencies in the
    archive, let the package build for maverick.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Sep 2010 20:21:07 +0200

getfem++ (4.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - Add symbols files.
    - Run make check in debian/rules after install to run the test suite.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Aug 2010 18:25:13 +0200

getfem++ (4.1-1) unstable; urgency=low

  * New upstream release
  * Add dependency of libgetfem++-dev on libgmm++-dev
  * Enable muparser support
  * Add build dependency on python-scipy
  * Enable mumps_seq support

  [ Sylvestre Ledru ]
  * Update of debian/copyright. Remove reference file to BSD license
    to include the license directly.

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 20 Jul 2010 08:34:32 +0200

getfem++ (4.0.0-4ubuntu2) maverick; urgency=low

  * Add debian/libgetfem4++.symbols.i386 file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Jun 2010 11:29:58 +0000

getfem++ (4.0.0-4ubuntu1) maverick; urgency=low

  * Add libgetfem4++.symbols file
  * run make check in debian/rules after install to run the test suite

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 16:50:59 +0100

getfem++ (4.0.0-4) unstable; urgency=low

  * Missing dependency on python-numpy
  * Standards-Version updated to 3.8.4
  * Package moved to Debian Science
  * ${misc:Depends} missing for libgetfem++-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 19 Mar 2010 15:21:51 +0100

getfem++ (4.0.0-3) unstable; urgency=low

  * Fix broken superlu interface in libgmm++-dev (Closes: #552709)

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 22 Dec 2009 14:41:24 +0100

getfem++ (4.0.0-2) unstable; urgency=low

  * Rebuild with python-support (>= 1.0.4). See #549283.
  * debian/control (Build-Depends): add version restriction (>= 1.0.4)
    to python-support

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Fri, 09 Oct 2009 12:51:52 +0200

getfem++ (4.0.0-1) unstable; urgency=low

  * Initial release (Closes: #453065)

 -- Konstantinos Poulios <poulios.konstantinos@gmail.com>  Tue, 29 Sep 2009 13:34:52 +0200
