=== debian/control ===
Source: getfem++
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
Build-Depends: debhelper (>= 7),
    autotools-dev, libtool, automake, autoconf,
    libblas-dev, libboost-dev, libqhull-dev, libsuperlu3-dev,
    libmumps-seq-dev, libmuparser-dev,
    python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4)
XS-Python-Version: all
Standards-Version: 3.9.0
Section: libs
Homepage: http://home.gna.org/getfem/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/getfem++/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/getfem++/

Package: libgetfem4++
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.


Package: libgetfem++-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgetfem4++ (= ${binary:Version})
Description: Debugging symbols for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the GETFEM++ packages.


Package: libgetfem++-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgetfem4++ (= ${binary:Version}), libboost-dev,
    libgmm++-dev
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.


Package: libgmm++-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.


Package: python-getfem++
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
    libgetfem4++ (= ${binary:Version}), python-numpy
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.
