## getfem++ 4.1.1

=== debian/changelog ===
getfem++ (4.1.1-8) unstable; urgency=low

  * [9a9056f] Do not use scilab on s390x and hurd, BD-problem.
  * [1331fd5] Update copyright-file.
  * [93162c9] Add dh_numpy to debian/rules.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 16 Mar 2012 22:12:09 +0100

getfem++ (4.1.1-7) unstable; urgency=low

  * [f97ed71] Disable muparser on hurd-i386, because libmuparser-dev 
              does not persist on this platform.
  * [efa5204] Disable mumps on s390x, because libmumps-seq-dev 
              does not persist on this platform.
  * [0edee68] Fix path in debian/copyright Format-field.
  * [b6807c2] Add debian/README.source.
  * [6624d34] Add "DM-Upload-Allowed: yes" flag.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 30 Jan 2012 23:06:02 +0100

getfem++ (4.1.1-6) unstable; urgency=low

  * [c4edb51] Migrate to git.
  * [849b0e0] Use compat 9. Fix python-dependencies (use 2.7 explicitely).
  * [c087f62] Fix build with ld --no-add-needed. (Closes: #640410)
  * [15903db] Use dh9 for debian/rules.
  * [b28db0d] Add myself to uploaders.
  * [4442d8e] Don`t install scilab-getfem++ on kfreebsd* platforms, because 
              scilab-minimal-bin is not available on them. (Closes: #639597)
  * [65f2e3d] Update VCS-fields.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 27 Jan 2012 22:35:43 +0100

getfem++ (4.1.1-5) unstable; urgency=low

  * Team upload
  * Same player try again: fix of the FTBFS under kfreebsd.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Aug 2011 18:04:30 +0200

getfem++ (4.1.1-4) unstable; urgency=low

  * Team upload
  * FTBFS under kfreebsd. Scilab is disabled (Closes: #636795)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 06 Aug 2011 11:05:54 +0200

getfem++ (4.1.1-3) unstable; urgency=low

  * Disable scilab-getfem++ under kfreebsd-* and mips until the openjdk is
    ported/fixed on these archs (Closes: #624323)
  * Kill the .la file (Closes: #621311)
  * Add libmuparser-dev and libsuperlu3-dev to the dependencies of
    libgetfem++-dev to make getfem-config working out of the box
    (Closes: #596916)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 05 Aug 2011 16:44:59 +0200

getfem++ (4.1.1-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Feb 2011 11:03:50 +0100

getfem++ (4.1.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Increase the soname (Closes: #591514)
  * Standards-Version updated to version 3.9.1
  * Creation of the scilab-getfem++ package

  [ Konstantinos Poulios ]
  * Remove redundant checks for mumps in the configure script

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Nov 2010 00:34:22 +0100
