=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: getfem++
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>
-Build-Depends: debhelper (>= 7),
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>,
+    Anton Gladky <gladky.anton@gmail.com>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 9),
     autotools-dev, libtool, automake, autoconf,
-    libblas-dev, libboost-dev, libqhull-dev, libsuperlu3-dev,
-    libmumps-seq-dev, libmuparser-dev,
-    python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4)
-XS-Python-Version: all
-Standards-Version: 3.9.0
+    libblas-dev, libboost-dev, libqhull-dev,
+    libsuperlu3-dev, libmumps-seq-dev [!s390x], libmuparser-dev [!hurd-i386],
+    python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4),
+    scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x],
+    scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x]
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://home.gna.org/getfem/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/getfem++/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/getfem++/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/getfem.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/getfem.git
 
 Package: libgetfem4++
 Section: libs
@@ -42,7 +44,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libgetfem4++ (= ${binary:Version}), libboost-dev,
-    libgmm++-dev
+    libgmm++-dev, libsuperlu3-dev, libmuparser-dev [!hurd-i386]
 Description: Development files for the GETFEM++ generic finite element library
  GETFEM++ is a library allowing the computation of any elementary matrix (even
  for mixed finite element methods) on the largest class of methods and elements,
@@ -69,8 +71,9 @@
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
-    libgetfem4++ (= ${binary:Version}), python-numpy
-XB-Python-Version: ${python:Versions}
+    libgetfem4++ (= ${binary:Version}), python-numpy, 
+    python (>= 2.7), python (<<2.8)
+X-Python-Version: current
 Provides: ${python:Provides}
 Description: Python interface to the GETFEM++ generic finite element library
  GETFEM++ is a library allowing the computation of any elementary matrix (even
@@ -78,3 +81,15 @@
  and for arbitrary dimension.
  .
  This package contains the Python interface to GETFEM++.
+
+
+Package: scilab-getfem++
+Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    libgetfem4++ (= ${binary:Version}), scilab
+Description: Scilab interface to the GETFEM++ generic finite element library
+ GETFEM++ is a library allowing the computation of any elementary matrix (even
+ for mixed finite element methods) on the largest class of methods and elements,
+ and for arbitrary dimension.
+ .
+ This package contains the Scilab interface to GETFEM++.
