## getfem++ 4.1.1+dfsg1

=== debian/changelog ===
getfem++ (4.1.1+dfsg1-12~deb7u1) stable; urgency=medium

  [ Guillem Jover ]
  * [0d337a2] Fix broken patch headers. (Closes: #753921)

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Aug 2014 14:01:36 +0200

getfem++ (4.1.1+dfsg1-11) unstable; urgency=low

  [ Anton Gladky ]
  * [2cba162] Add libmumps-dev to Depends of libgmm++-dev. (Closes: #680549)
  * [f22dd56] Imported Upstream version 4.1.1+dfsg1. (Closes: #693567)

  [ Sylvestre Ledru ]
  * [0b9acd3] Add a missing header for Scilab build.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 22:44:01 +0100

getfem++ (4.1.1-10) unstable; urgency=low

  * [da2d323] Fix FTBFS with gcc-4.7. Thanks to Philipp Büttgenbach. 
              (Closes: #669635)
  * [20ac20d] Fix FTBFS with gcc-4.7. One more try.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 25 May 2012 21:55:22 +0200

getfem++ (4.1.1-9) unstable; urgency=low

  * [adc1137] Add hurd-i386 and s390x to scilab-exclude platforms.
  * [8abc7ce] Use Standards-Version: 3.9.2. No changes.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Mar 2012 20:54:48 +0100
