=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     python-numpy, python-scipy, python-all-dev, python-support (>= 1.0.4),
     scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x],
     scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://home.gna.org/getfem/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/getfem.git
@@ -57,7 +57,7 @@
 Package: libgmm++-dev
 Section: libdevel
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmumps-dev
 Description: Generic C++ template library for sparse, dense and skyline matrices
  GMM++ is a framework of pre-defined methods for matrix computation. It is built
  as a set of generic algorithms for any interfaced vector type or matrix type.
