=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 		CPPFLAGS="$(CPPFLAGS)" \
 		LDFLAGS="$(LDFLAGS)" 
 
-disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386
+disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386
 ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
 	configure_flags += --disable-scilab
 else
