## getfem++ 4.2+dfsg1

=== debian/changelog ===
getfem++ (4.2+dfsg1-2) unstable; urgency=low

  * [ed398d5] Remove obsolete patches.
  * [5b3ac19] Fix FTBFS (topsrc variable in Makefiles). (Closes: #713626)
  * [8aeb68a] Use canonical VCS-field.
  * [c69b32f] Minor fix in changelog.
  * [ad44188] Use wrap-and-sort.
  * [375c354] Remove dh_pysupport.
  * [e078f28] Minor clean in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sun, 30 Jun 2013 21:04:54 +0200

getfem++ (4.2+dfsg1-1) unstable; urgency=low

  * [f22dd56] Imported Upstream version 4.1.1+dfsg1
  * [62ea42c] Update changelog.
  * [34b5caf] Convert to multiarch.
  * [2ede4e2] Remove obsolete DM-Upload flag.
  * [56bde73] Disable some more tests, which are unreliable.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 18:46:08 +0200

getfem++ (4.2+dfsg1-1~exp3) experimental; urgency=low

  * [4128354] Disabling ignoring of test failures. (Closes: #698611)
  * [bd0d183] Respect GETFEM_HAVE_METIS variable.
  * [8c5a0ef] Disable tests, which are unreliable on some platforms.
  * [daeaac2] Remove obsolete DM-Upload-Allowed flag.
  * [241a243] Bump Standards-Version: 3.9.4. No changes.

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Feb 2013 13:44:16 +0100

getfem++ (4.2+dfsg1-1~exp2) experimental; urgency=low

  [ Sylvestre Ledru ]
  * [1d596c2]   * Build again Scilab module   
                * Add a missing header for Scilab build   
                  (interface/src/scilab/sci_gateway/c/stream_redirect.h)

  [ Anton Gladky ]
  * [213e81f] Add repacking script.
  * [8a0b197] Imported Upstream version 4.2+dfsg1

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 17 Nov 2012 20:14:09 +0100

getfem++ (4.2-1~exp1) experimental; urgency=low

  * [2cba162] Add libmumps-dev to Depends of libgmm++-dev. (Closes: #680549)
  * [21e35a6] Imported Upstream version 4.2. (Closes: #683958)
  * [866e716] Update copyright-file.
  * [b58de9b] Update patches, remove applied by upstreams ones.
  * [e3eace3] Fix definition order of mumps_error_check.
  * [87e7680] Disable scilab for all platforms temporarly.
  * [9ea9941] Use --parallel option for faster building.
  * [19c74e6] Fix some examples.
  * [2f138f5] Update TODO.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 07 Nov 2012 22:10:36 +0100
