## getfem++ 4.2.1~beta1~svn4453~dfsg

=== debian/changelog ===
getfem++ (4.2.1~beta1~svn4453~dfsg-1) unstable; urgency=low

  * [e3bfac6] Imported Upstream version 4.2.1~beta1~svn4453~dfsg
  * [ef396dc] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Nov 2013 19:46:13 +0100

getfem++ (4.2.1~beta1~svn4422~dfsg-1) unstable; urgency=low

  * Imported Upstream version 4.2.1~beta1~svn4422~dfsg. (Closes: #720786)
  * [6e2d143] Add get_orig.sh script.
  * [7cf02a9] Remove some old patches.
  * [1582708] Update patches.
  * [843fa56] Link boost_system explicitly.
  * [d7c875f] Simplify debian/rules.

 -- Anton Gladky <gladk@debian.org>  Sat, 14 Sep 2013 22:08:43 +0200
