=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  debhelper (>= 9),
  dh-autoreconf,
  libblas-dev,
- libboost-dev,
+ libboost-all-dev,
+ libmetis-dev,
  libmumps-seq-dev [!s390x],
  libmuparser-dev [!hurd-i386],
  libqhull-dev,
